/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.OffsetDateTime;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;


/**
 * Model tests for DoctagSignatureData
 */
public class DoctagSignatureDataTest {
    private final DoctagSignatureData model = new DoctagSignatureData();

    /**
     * Model tests for DoctagSignatureData
     */
    @Test
    public void testDoctagSignatureData() {
        // TODO: test DoctagSignatureData
    }

    /**
     * Test the property 'documentHash'
     */
    @Test
    public void documentHashTest() {
        // TODO: test documentHash
    }

    /**
     * Test the property 'documentUrl'
     */
    @Test
    public void documentUrlTest() {
        // TODO: test documentUrl
    }

    /**
     * Test the property 'keyFingerprint'
     */
    @Test
    public void keyFingerprintTest() {
        // TODO: test keyFingerprint
    }

    /**
     * Test the property 'previousSignaturesHash'
     */
    @Test
    public void previousSignaturesHashTest() {
        // TODO: test previousSignaturesHash
    }

    /**
     * Test the property 'randomBuffer'
     */
    @Test
    public void randomBufferTest() {
        // TODO: test randomBuffer
    }

    /**
     * Test the property 'signature'
     */
    @Test
    public void signatureTest() {
        // TODO: test signature
    }

    /**
     * Test the property 'signingDoctagInstance'
     */
    @Test
    public void signingDoctagInstanceTest() {
        // TODO: test signingDoctagInstance
    }

    /**
     * Test the property 'signingUser'
     */
    @Test
    public void signingUserTest() {
        // TODO: test signingUser
    }

    /**
     * Test the property 'validFrom'
     */
    @Test
    public void validFromTest() {
        // TODO: test validFrom
    }

    /**
     * Test the property 'validFromDateTime'
     */
    @Test
    public void validFromDateTimeTest() {
        // TODO: test validFromDateTime
    }

    /**
     * Test the property 'workflowHash'
     */
    @Test
    public void workflowHashTest() {
        // TODO: test workflowHash
    }

}
